Index: modules/uoa-goldoa-service/branches/hibernate/src/test/java/unitest/ManageRequestsTest.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/test/java/unitest/ManageRequestsTest.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/test/java/unitest/ManageRequestsTest.java	(revision 49828)
@@ -121,7 +121,7 @@
     @Rollback(true)
     public void resolveDOI() {
         try {
-            Publication p = pum.resolveDOI("10.1002/0470841559.ch1");
+            Publication p = pum.resolveDOI("10.1155/2017/1297658");
             System.out.println(p.getType().getType());
         } catch (ManagerException e) {
             e.printStackTrace();
@@ -240,136 +240,12 @@
     @Rollback(true)
     public void importCSVRequests() {
 
-        /*String csv = "User email,Project Grant Number,DOI,Acceptance Date,Publication Identifier Type,Publication Identifier value,License,APC,APC currency,Discount,Co-Funder Name,Co-funder discount percentage (';' separated)\n" +
-                "pkanakakis@di.uoa.gr  ,641489,10.1002/0470841559.ch10 ,2015-05-27,doi,doiValue,testLicense,1000,EUR,0\n "+
-                "pkanakakis@di.uoa.gr  ,100016,10.1002/0470841559.ch10 ,2015-05-27,doi,doiValue,testLicense,1000,EUR,0\n"+
-                "pkanakakis@di.uoa.gr  ,100016,10.1002/0470841559.ch2,2015-05-27,doi,doiValue,testLicense,1000,EUR,0";*/
-        //"pkanakakis@di.uoa.gr,100016,10.1002/0470841559.ch1,2015-05-27,doi,doiValue,licenseValue,1000,EUR,10.00,,";
-        //"pkanakakis@di.uoa.gr,100016,10.1002/0470841559.ch10,2015-05-27,doi,doiValue,licenseValue,1000,EUR,10.00,,";
+        String csv = "Firstname,Lastname,Email, Affiliation,Project Grant Number,DOI,Acceptance Date,Publication Identifier Type,Publication Identifier value," +
+                "APC,APC currency,Discount\n" +
+                "Panagiotis,Kanakakis,pkanakakis@di.uoa.gr,NATIONAL AND KAPODISTRIAN UNIVERSITY OF ATHENS,641489,10.1002/0470841559.ch10,2015-05-27,doi,doiValue,1000,EUR,0\n "+
+                "Panagiotis,Kanakakis,p2@di.uoa.gr,NATIONAL AND KAPODISTRIAN UNIVERSITY OF ATHENS,641489,10.1002/0470841559.ch10,2015-05-27,doi,doiValue,1000,EUR,0\n "+
+                "Panagiotis,Kanakakis,,NATIONAL AND KAPODISTRIAN UNIVERSITY OF ATHENS,641489,10.1002/0470841559.ch10,2015-05-27,doi,doiValue,,EUR,";
 
-        String csv = "User email,Project Grant Number,DOI,Acceptance date,Publication identifier type,Publication identifier value,APC,ApcCurrency,Discount\n" +
-                "gwen.franck@kb.nl,265113, 10.5194/acp-16-8249-2016,2017-01-01,,,1440,EUR,\n" +
-                "gwen.franck@kb.nl,265148, 10.5194/acp-16-10879-2016,2017-01-01,,,1710,EUR,\n" +
-                "gwen.franck@kb.nl,287530, 10.5194/gmd-9-3483-2016,2017-01-01,,,810,EUR,\n" +
-                "gwen.franck@kb.nl,243908, 10.5194/bg-13-4205-2016,2017-01-01,,,1260,EUR,\n" +
-                "gwen.franck@kb.nl,294146, 10.5194/bg-13-6049-2016,2017-01-01,,,1620,EUR,\n" +
-                "gwen.franck@kb.nl,282910, 10.5194/gmd-9-4475-2016,2017-01-01,,,1350,EUR,\n" +
-                "gwen.franck@kb.nl,265113, 10.5194/acp-17-627-2017,2017-01-01,,,1275,EUR,\n" +
-                "gwen.franck@kb.nl,243908, 10.5194/bg-13-4205-2016,2017-01-01,,,1950,EUR,\n" +
-                "gwen.franck@kb.nl,316210, 10.5194/amt-10-83-2017,2017-01-01,,,1980,EUR,\n" +
-                "gwen.franck@kb.nl,295132, 10.5194/acp-17-645-2017,2017-01-01,,,1275,EUR,\n" +
-                "gwen.franck@kb.nl,312642, 10.5194/os-13-1-2017,2017-01-01,,,825,EUR,\n" +
-                "gwen.franck@kb.nl,295132, 10.5194/acp-17-1653-2017,2017-01-01,,,1800,EUR,\n" +
-                "gwen.franck@kb.nl,299035, 10.5194/tc-11-319-2017,2017-01-01,,,825,EUR,\n" +
-                "gwen.franck@kb.nl,256961, 10.5194/amt-10-507-2017,2017-01-01,,,1425,EUR,\n" +
-                "gwen.franck@kb.nl,265113, 10.5194/acp-17-2689-2017,2017-01-01,,,1500,EUR,\n" +
-                "gwen.franck@kb.nl,282688, 10.5194/acp-17-2709-2017,2017-01-01,,,1080,EUR,\n" +
-                "gwen.franck@kb.nl,282700, 10.5194/gmd-10-959-2017,2017-01-01,,,1275,EUR,\n" +
-                "gwen.franck@kb.nl,316173, 10.5194/acp-17-3673-2017,2017-01-01,,,1170,EUR,\n" +
-                "gwen.franck@kb.nl,316210, 10.5194/acp-17-4063-2017,2017-01-01,,,1530,EUR,\n" +
-                "gwen.franck@kb.nl,316662, 10.5194/acp-17-4053-2017,2017-01-01,,,900,EUR,\n" +
-                "gwen.franck@kb.nl,282700, 10.5194/bg-14-1593-2017,2017-01-01,,,750,EUR,\n" +
-                "gwen.franck@kb.nl,308377, 10.5194/acp-17-4401-2017,2017-01-01,,,1350,EUR,\n" +
-                "gwen.franck@kb.nl,290605, 10.5194/acp-17-5035-2017,2017-01-01,,,1980,EUR,\n" +
-                "gwen.franck@kb.nl,606953, 10.5194/acp-17-5893-2017,2017-01-01,,,1980,EUR,\n" +
-                "gwen.franck@kb.nl,606738, 10.5194/gmd-10-1985-2017,2017-01-01,,,1980,EUR,\n" +
-                "gwen.franck@kb.nl,283568, 10.5194/cp-13-455-2017,2017-01-01,,,1620,EUR,\n" +
-                "gwen.franck@kb.nl,267099, 10.5194/acp-17-7143-2017,2017-01-01,,,1170,EUR,\n" +
-                "gwen.franck@kb.nl,282700, 10.5194/bg-14-3051-2017,2017-01-01,,,1440,EUR,\n" +
-                "gwen.franck@kb.nl,262693, 10.5194/bg-14-3157-2017,2017-01-01,,,975,EUR,\n" +
-                "gwen.franck@kb.nl,243908, 10.5194/cp-13-729-2017,2017-01-01,,,990,EUR,\n" +
-                "gwen.franck@kb.nl,311903, 10.5194/hess-21-3507-2017,2017-01-01,,,1620,EUR,\n" +
-                "gwen.franck@kb.nl,608166, 10.5194/nhess-17-1177-2017,2017-01-01,,,1050,EUR,\n" +
-                "gwen.franck@kb.nl,282688, 10.5194/acp-17-8681-2017,2017-01-01,,,1980,EUR,\n" +
-                "gwen.franck@kb.nl,289384,10.1186/s12918-017-0428-y,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,221948,10.1186/s40249-017-0245-y,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,263916,10.1186/s12870-017-1017-3,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,613549,10.1186/s13068-017-0744-x,2017-01-01,,,1895,EUR,25\n" +
-                "gwen.franck@kb.nl,303772,10.1186/s12864-016-3444-1,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,329033,10.1186/s13100-017-0086-z,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,306141,10.1186/s13012-017-0552-5,2017-01-01,,,1828,EUR,75\n" +
-                "gwen.franck@kb.nl,312941,10.1186/s12859-017-1513-3,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,258068,10.1186/s12859-017-1503-5,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,221948,10.1186/s40249-016-0224-8,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,265827,10.1186/s12884-017-1230-y,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,259348,10.1186/s13073-017-0407-3,2017-01-01,,,2156,EUR,5\n" +
-                "gwen.franck@kb.nl,260997,10.1186/s12863-017-0478-6,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,263147,10.1186/s12951-016-0238-1,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,265827,10.1186/s12889-017-4069-2,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,264738,10.1186/s12911-016-0398-9,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,258837,10.1186/s13012-016-0535-y,2017-01-01,,,1828,EUR,75\n" +
-                "gwen.franck@kb.nl,289319,10.1186/s12866-016-0917-y,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,627027,10.1186/s12864-016-3420-9,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,289974,10.1186/s12859-016-1416-8,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,289126,10.1186/s13326-016-0109-6,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,259348,10.1186/s12859-016-1391-0,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,279227,10.1186/s12888-016-1167-0,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,306029,10.1186/s12967-016-1067-6,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,311935,10.1186/s12934-016-0598-0,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,278871,10.1186/s12974-016-0761-x,2017-01-01,,,1895,EUR,25\n" +
-                "gwen.franck@kb.nl,289706,10.1186/s12898-016-0109-5,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,115189,10.1186/s12874-016-0259-3,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,305831,10.1186/s12909-016-0785-z,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,289592,10.1186/s12711-016-0258-1,2017-01-01,,,1391,EUR,75\n" +
-                "gwen.franck@kb.nl,283496,10.1186/s13007-016-0144-4,2017-01-01,,,1729,EUR,\n" +
-                "gwen.franck@kb.nl,278570,10.1186/s13045-016-0345-3,2017-01-01,,,1999,EUR,75\n" +
-                "gwen.franck@kb.nl,278901,10.1186/s12916-016-0709-0,2017-01-01,,,2156,EUR,5\n" +
-                "gwen.franck@kb.nl,303891,10.1186/s12984-016-0204-z,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,266005,10.1186/s12906-016-1378-4,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,288209,10.1186/s12911-016-0376-2,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,283359,10.1186/s12898-016-0103-y,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,296679,10.1186/s13036-016-0031-6,2017-01-01,,,1729,EUR,\n" +
-                "gwen.franck@kb.nl,265494,10.1186/s12263-016-0539-x,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,289377,10.1186/s12864-016-3083-6,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,250157,10.1186/s13059-016-1051-8,2017-01-01,,,2299,EUR,\n" +
-                "gwen.franck@kb.nl,258837, 10.1186/s13012-016-0473-8,2017-01-01,,,1828,EUR,75\n" +
-                "gwen.franck@kb.nl,306105,10.1186/s12936-016-1499-8,2017-01-01,,,1729,EUR,\n" +
-                "gwen.franck@kb.nl,289300,10.1186/s13007-016-0140-8,2017-01-01,,,1729,EUR,\n" +
-                "gwen.franck@kb.nl,279039,10.1186/s13068-016-0605-z,2017-01-01,,,1895,EUR,25\n" +
-                "gwen.franck@kb.nl,296590,10.1186/s12938-016-0226-6,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,304925,10.1186/s13063-016-1526-7,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,265970,10.1186/s12961-016-0136-x,2017-01-01,,,1781,EUR,25\n" +
-                "gwen.franck@kb.nl,289377,10.1186/s12863-016-0431-0,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,289974,10.1186/s12864-016-2926-5,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,306105, 10.1186/s12936-016-1505-1,2017-01-01,,,1729,EUR,\n" +
-                "gwen.franck@kb.nl,290148,10.1186/s13014-016-0683-x,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,281930,10.1186/s12961-016-0132-1,2017-01-01,,,1748,EUR,\n" +
-                "gwen.franck@kb.nl,226144, 10.1186/s12940-016-0170-8,2017-01-01,,,1719,EUR,5\n" +
-                "gwen.franck@kb.nl,289841,10.1186/s12864-016-2879-8,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,257258,10.1186/s12913-016-1587-z,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,258883,10.1186/s12904-016-0144-1,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,245199,10.1186/s12906-016-1227-5,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,624370,10.1186/s12951-016-0215-8,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,258883,10.1186/s12904-016-0132-5,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,241718,10.1186/s12934-016-0497-4,2017-01-01,,,1657,EUR,75\n" +
-                "gwen.franck@kb.nl,306088,10.1186/s13058-015-0583-2,2017-01-01,,,2142,EUR,25\n" +
-                "gwen.franck@kb.nl,629675,10.1002/open.201700097,2017-01-01,,,1440,EUR,\n" +
-                "gwen.franck@kb.nl,289219,10.1002/open.201700101,2017-01-01,,,1440,EUR,\n" +
-                "gwen.franck@kb.nl,289706,10.1002/ece3.3247,2017-01-01,,,1224,EUR,\n" +
-                "gwen.franck@kb.nl,262443,10.1002/acn3.434,2017-01-01,,,1752,EUR,\n" +
-                "gwen.franck@kb.nl,260524,10.15252/emmm.201606978,2017-01-01,,,2000,EUR,\n" +
-                "gwen.franck@kb.nl,311849,10.1111/gcbb.12451,2017-01-01,,,1487,EUR,\n" +
-                "gwen.franck@kb.nl,287844,10.1002/ece3.2844,2017-01-01,,,979,EUR,\n" +
-                "gwen.franck@kb.nl,624035,10.1002/ece3.2731,2017-01-01,,,979,EUR,\n" +
-                "gwen.franck@kb.nl,270089,10.1111/pbi.12655,2017-01-01,,,1768,EUR,\n" +
-                "gwen.franck@kb.nl,612146,10.1002/ece3.2580,2017-01-01,,,896,EUR,\n" +
-                "gwen.franck@kb.nl,330466,10.1002/ecs2.1508,2017-01-01,,,962,EUR,\n" +
-                "gwen.franck@kb.nl,281640,10.1136/bmjopen-2016-011217,2017-01-01,,,1605,EUR,5\n" +
-                "gwen.franck@kb.nl,289384,10.1136/bmjopen-2016-013952,2017-01-01,,,1605,EUR,5\n" +
-                "gwen.franck@kb.nl,258583,10.1136/bmjopen-2016-011569,2017-01-01,,,1605,EUR,5\n" +
-                "gwen.franck@kb.nl,265660,10.1136/bmjgh-2016-000212,2017-01-01,,,2000,EUR,\n" +
-                "gwen.franck@kb.nl,306186,10.1136/bmjopen-2016-013805,2017-01-01,,,1605,EUR,5\n" +
-                "gwen.franck@kb.nl,270182,10.3389/fncom.2015.00107,2017-01-01,,,912,EUR,\n" +
-                "gwen.franck@kb.nl,601165,10.1371/journal.pcbi.1004172,2017-01-01,,,2069,EUR,\n" +
-                "gwen.franck@kb.nl,303618,10.1371/journal.pone.0157394,2017-01-01,,,1357,EUR,49\n" +
-                "gwen.franck@kb.nl,321610,10.1186/s12862-016-0629-9,2017-01-01,,,1396,EUR,\n" +
-                "gwen.franck@kb.nl,303618,10.1002/ece3.2305,2017-01-01,,,1456,EUR,56\n" +
-                "gwen.franck@kb.nl,289540,10.3389/fmicb.2016.01481,2017-01-01,,,1653,EUR,\n" +
-                "gwen.franck@kb.nl,311956,10.1128/genomea.00524-16,2017-01-01,,,601,EUR,22\n" +
-                "gwen.franck@kb.nl,289540,10.3390/md14070124,2017-01-01,,,1773,EUR,99\n" +
-                "gwen.franck@kb.nl,303618,10.1002/ece3.2290,2017-01-01,,,1820,EUR,7\n" +
-                "gwen.franck@kb.nl,303618,10.1371/journal.pone.0145352,2017-01-01,,,1211,EUR,";
-
         try {
             rm.importCSV(csv);
         } catch (Exception e) {
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManagerImpl.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManagerImpl.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManagerImpl.java	(revision 49828)
@@ -59,6 +59,7 @@
 	@Autowired
 	private PublisherManager publisherManager;
 
+
 	@Value("${goldoa.sendCoordinatorEmails}")
 	private String sendCoordinatorEmails ;//= false;
 	@Value("${goldoa.sendEvaEmail}")
@@ -66,7 +67,7 @@
 	@Value("${goldoa.evaEmail}")
 	private String evaEmail;// = null;
 
-	private Log logger = LogFactory.getLog(RequestManagerImpl.class);
+	private Log LOGGER = LogFactory.getLog(RequestManagerImpl.class);
 
 	@Override
 	public Request saveRequest(final Request request) {
@@ -649,46 +650,60 @@
 	@Override
 	@Transactional(propagation = Propagation.REQUIRED , rollbackFor = {PersonManagerException.class,
 			 ManagerException.class,ParseException.class,Exception.class})
-	public void importCSV(String csv) throws PersonManagerException, ManagerException, ParseException {
+	public void importCSV(String csv) throws PersonManagerException, ManagerException, ParseException, OrganizationManagerException {
 
 		String linesWithHeader[] = csv.split("\\r?\\n");
 		String lines[] = Arrays.copyOfRange(linesWithHeader,1,linesWithHeader.length);
 		for(String str : lines){
 			String line[] = str.split(",");
-			String userEmail = line.length>0?line[0].trim():null;
-			String grant = line.length>1?line[1].trim():null;
-			String doi = line.length>2?line[2].trim():null;
-			String acceptanceDate = line.length>3?line[3].trim():null;
-			String identifierType = line.length>4?line[4].trim():null;
-			String identifierValue = line.length>5?line[5].trim():null;
-			String apc = line.length>6?line[6].trim():null;
-			String apcCurrency = line.length>7?line[7].trim():null;
-			String discount = line.length>8?line[8].trim():null;
 
-			importRequestFromCSV(userEmail,grant,doi,acceptanceDate,
-				identifierType,identifierValue,apc,
-				apcCurrency,discount);
+			String firstname = !line[0].equals("")?line[0].trim():null;
+			String lastname = !line[1].equals("")?line[1].trim():null;
+			String email = !line[2].equals("")?line[2].trim():null;
+			String organization = !line[3].equals("")?line[3].trim():null;
+
+			String grant = !line[4].equals("")?line[4].trim():null;
+			String doi = !line[5].equals("")?line[5].trim():null;
+			String acceptanceDate = !line[6].equals("")?line[6].trim():null;
+			String identifierType = !line[7].equals("")?line[7].trim():null;
+			String identifierValue = !line[8].equals("")?line[8].trim():null;
+			String apc = !line[9].equals("")?line[9].trim():"0";
+			String apcCurrency = !line[10].equals("")?line[10].trim():null;
+			String discount = line.length>11?line[11].trim():"0";
+
+			importRequestFromCSV(firstname,lastname,organization,email,
+					grant,doi,acceptanceDate, identifierType,
+					identifierValue,apc, apcCurrency,discount);
 		}
 	}
 
 
-	private void importRequestFromCSV(String userEmail, String grant, String doi, String acceptanceDate,
+	private void importRequestFromCSV(String firstname, String lastname, String organization, String email, String grant,
+									  String doi, String acceptanceDate,
 									  String identifierType, String identifierValue,
-									  String apc, String apcCurrency,String discount)
-			throws PersonManagerException, ParseException, ManagerException {
+									  String apc, String apcCurrency, String discount)
+			throws PersonManagerException, ParseException, ManagerException, OrganizationManagerException {
 
+		Organization org = (Organization) organizationManager.search(organization).get(0);
+		if(org == null){
+			LOGGER.debug("Organization " + organization +  "  not exists!");
+			throw new OrganizationManagerException(OrganizationManagerException.ErrorCause.NOT_EXISTS);
+		}
+
+
 		User user = null;
 		try {
-			user  = userManager.getByEmail(userEmail);
+			user  = userManager.getByEmail(email);
 		} catch (PersonManagerException e) {
-			e.printStackTrace();
-			throw new PersonManagerException("User with email " + userEmail + " not exists!");
+			LOGGER.debug("User with email : " + email + "not exists!" ,e);
+			LOGGER.debug("Creating new inactive user with default password!");
+			user = userManager.createInActiveResearcher(firstname,lastname,email,org);
 		}
 
 		List<Object> rs = projectManager.search(grant);
 		Project project = null;
 		if(rs.size() == 0) {
-			System.out.println("Project with specified grant("+grant+") not found!");
+			LOGGER.debug("Project with specified grant("+grant+") not found!");
 			throw new ManagerException("Project with specified grant("+grant+") not found!");
 		}else
 			project = (Project) rs.get(0);
@@ -697,7 +712,7 @@
 		try {
 			publication = publicationManager.resolveDOI(doi);
 		} catch (ManagerException e) {
-			e.printStackTrace();
+			LOGGER.debug("Requested doi("+doi+") not found!" , e);
 			throw new ManagerException("Requested doi("+doi+") not found!");
 		}
 
@@ -711,13 +726,13 @@
 			publicationManager.savePublication(publication);
 
 
-		Request request = requestDAO.getRequestFromCSV(user,project,publication,acceptanceDate,
-				identifierType,identifierValue,apc,
-				apcCurrency,discount);
+		Request request = requestDAO.getRequestFromCSV(user,project,publication,org,
+				acceptanceDate, identifierType,identifierValue,apc, apcCurrency,discount);
 
 		request.setId("L" + new SimpleDateFormat("yyyyMMdd-").format(new Date()) + requestDAO.getRequestId());
 		request.setEligibility(Eligibility.OK);
 
+
 		if(!request.getEligibility().getStatus().equals(Eligibility.Status.OK))
 			throw new ManagerException("Request for project "+grant+" is not eligible!");
 		requestDAO.saveRequest(request);
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/UserDAO.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/UserDAO.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/UserDAO.java	(revision 49828)
@@ -1,9 +1,6 @@
 package eu.dnetlib.goldoa.service.dao;
 
-import eu.dnetlib.goldoa.domain.AccountAction;
-import eu.dnetlib.goldoa.domain.Role;
-import eu.dnetlib.goldoa.domain.User;
-import eu.dnetlib.goldoa.domain.UserRole;
+import eu.dnetlib.goldoa.domain.*;
 import org.apache.commons.codec.digest.DigestUtils;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
@@ -11,11 +8,13 @@
 import org.hibernate.criterion.Order;
 import org.hibernate.criterion.Restrictions;
 import org.hibernate.transform.Transformers;
+import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Repository;
 
 import java.math.BigInteger;
 import java.sql.Timestamp;
 import java.util.List;
+import java.util.UUID;
 
 /**
  * Created by antleb on 3/13/15.
@@ -22,7 +21,7 @@
  */
 @Repository
 public class UserDAO extends AbstractDao<String, User> {
-    private Log log = LogFactory.getLog(UserDAO.class);
+    private Log LOGGER = LogFactory.getLog(UserDAO.class);
 
     /**
      * Returns the person with the given id. Objects of different type are placeholders containing only their id.
@@ -199,4 +198,26 @@
                // .setCacheRegion("user")
                 .list();
     }
+
+    public User createInActiveResearcher(String firstname, String lastname, String email, Organization organization) {
+        User user = new User();
+        user.setFirstname(firstname);
+        user.setLastname(lastname);
+        user.setEmail(email);
+        user.setPassword(DigestUtils.md5Hex(UUID.randomUUID().toString()));
+
+        UserRole personRole = new UserRole();
+        UserRolePK urPk = new UserRolePK();
+        urPk.setUser(user);
+        urPk.setRole(new Role("researcher","Researcher"));
+        personRole.setPk(urPk);
+
+        Affiliation affiliation = new Affiliation();
+        affiliation.setOrganization(organization);
+        affiliation.getUsers().add(user);
+        user.getAffiliations().add(affiliation);
+
+        saveUser(user);
+        return user;
+    }
 }
\ No newline at end of file
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/RequestDAO.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/RequestDAO.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/dao/RequestDAO.java	(revision 49828)
@@ -825,13 +825,14 @@
 		return result;
 	}
 
-	public Request getRequestFromCSV(User user, Project project, Publication publication, String acceptanceDate,
-									 String identifierType, String identifierValue,
+	public Request getRequestFromCSV(User user, Project project, Publication publication, Organization organization,
+									 String acceptanceDate, String identifierType, String identifierValue,
 									 String apc, String apcCurrency, String discount) throws ParseException {
 
 		Request request = new Request();
+		request.setProject(project);
 		request.setUser(user);
-		request.setProject(project);
+		request.setResearcher(user);
 
 		publication.setAcceptancedate(new SimpleDateFormat("yyyy-MM-dd").parse(acceptanceDate));
 
@@ -843,6 +844,7 @@
 
 		publication.getIdentifiers().add(id);
 
+		request.setOrganization(organization);
 		request.setApc(apc!=null?Float.parseFloat(apc):null);
 		request.setCurrency(apcCurrency!=null?Currency.valueOf(apcCurrency):null);
 		request.setDiscount(discount!=null?Float.parseFloat(discount):null);
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManager.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManager.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/RequestManager.java	(revision 49828)
@@ -113,5 +113,5 @@
 
 	public List<CommentTemplate> getCommentTemplates(Request.RequestStatus requestStatus);
 
-	public void importCSV(String csv) throws PersonManagerException, ManagerException, IOException, ParseException;
+	public void importCSV(String csv) throws PersonManagerException, ManagerException, IOException, ParseException, OrganizationManagerException;
 }
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManagerImpl.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManagerImpl.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManagerImpl.java	(revision 49828)
@@ -20,7 +20,6 @@
 import java.util.UUID;
 import java.util.concurrent.ExecutorService;
 
-//import eu.dnetlib.goldoa.service.utils.EmailUtils;
 
 /**
  * Created by antleb on 3/4/15.
@@ -34,13 +33,13 @@
 
 	@Autowired
 	private EmailUtils emailUtils;
-	
+
 	@Autowired
 	ExecutorService executorService;
 
 	private int tokenTTL = 30;
 
-	private Log log = LogFactory.getLog(UserManagerImpl.class);
+	private Log LOGGER = LogFactory.getLog(UserManagerImpl.class);
 
 	public static int generateId(Affiliation affiliation) {
 		StringBuilder sb = new StringBuilder();
@@ -158,7 +157,7 @@
 		} catch (PersonManagerException e) {
 			throw e;
 		} catch (Exception e) {
-			log.error("Error logging in", e);
+			LOGGER.error("Error logging in", e);
 		}
 		return null;
 	}
@@ -309,4 +308,12 @@
 		return userDAO.getUserRoles(email);
 	}
 
+	@Override
+	public User createInActiveResearcher(String firstname, String lastname, String email, Organization organization) throws OrganizationManagerException, PersonManagerException {
+
+		if(firstname == null || lastname == null || email == null)
+			throw new PersonManagerException("Empty firstname or lastname or email");
+		return userDAO.createInActiveResearcher(firstname,lastname,email,organization);
+	}
+
 }
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManager.java
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManager.java	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/java/eu/dnetlib/goldoa/service/UserManager.java	(revision 49828)
@@ -1,8 +1,6 @@
 package eu.dnetlib.goldoa.service;
 
-import eu.dnetlib.goldoa.domain.PersonManagerException;
-import eu.dnetlib.goldoa.domain.Role;
-import eu.dnetlib.goldoa.domain.User;
+import eu.dnetlib.goldoa.domain.*;
 
 import java.util.List;
 
@@ -54,4 +52,6 @@
 	public Role getRole(String roleId);
 
     List<Role> getUserRoles(String email);
+
+	User createInActiveResearcher(String firstname, String lastname, String email, Organization organization) throws OrganizationManagerException, PersonManagerException;
 }
\ No newline at end of file
Index: modules/uoa-goldoa-service/branches/hibernate/src/main/resources/log4j.properties
===================================================================
--- modules/uoa-goldoa-service/branches/hibernate/src/main/resources/log4j.properties	(revision 49827)
+++ modules/uoa-goldoa-service/branches/hibernate/src/main/resources/log4j.properties	(revision 49828)
@@ -1,32 +1,35 @@
-# Set root logger level to DEBUG and its only appender to A1.
-log4j.rootLogger=INFO, A1
+log4j.rootLogger = WARN, R
 
-# A1 is set to be a ConsoleAppender.
-log4j.appender.A1.File=/tmp/log.out
-# A1 uses PatternLayout.
-log4j.appender.A1.layout=org.apache.log4j.PatternLayout
-log4j.appender.A1.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n
+log4j.logger.eu.dnetlib = DEBUG
+log4j.logger.eu.dnetlib.clients.data.datasourcemanager.ws.Converter = FATAL
+log4j.logger.org.springframework = DEBUG, S
+log4j.additivity.org.springframework = false
 
+log4j.logger.com.opensymphony.xwork2.ognl.OgnlValueStack = FATAL
+log4j.logger.com.opensymphony.xwork2.ObjectFactory = FATAL
 
-# Define the root logger with appender file
-#log4j.rootLogger = DEBUG, FILE
+log4j.logger.eu.dnetlib.repo.manager=DEBUG
+
+log4j.appender.R=org.apache.log4j.RollingFileAppender
+log4j.appender.R.File=/tmp/uoa-goldoa-service.log
+log4j.appender.R.MaxFileSize=10MB
+log4j.appender.R.MaxBackupIndex=10
+log4j.appender.R.layout=org.apache.log4j.PatternLayout
+log4j.appender.R.layout.ConversionPattern= %d %p %t [%c] - %m%n
+
+log4j.appender.S=org.apache.log4j.RollingFileAppender
+log4j.appender.S.File=/tmp/uoa-goldoa-service-spring.log
+log4j.appender.S.MaxFileSize=10MB
+log4j.appender.S.MaxBackupIndex=10
+log4j.appender.S.layout=org.apache.log4j.PatternLayout
+log4j.appender.S.layout.ConversionPattern= %d %p %t [%c] - %m%n
+
+
+#org.apache.cxf.Logger=org.apache.cxf.common.logging.Log4jLogger
 #
-## Define the file appender
-#log4j.appender.FILE=org.apache.log4j.FileAppender
+#log4j.rootLogger=INFO, CONSOLE
+#log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
+#log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
+#log4j.appender.CONSOLE.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n
 #
-## Set the name of the file
-#log4j.appender.FILE.File=/tmp/log.out
-#
-## Set the immediate flush to true (default)
-#log4j.appender.FILE.ImmediateFlush=true
-#
-## Set the threshold to debug mode
-#log4j.appender.FILE.Threshold=debug
-#
-## Set the append to false, overwrite
-#log4j.appender.FILE.Append=false
-#
-## Define the layout for file appender
-#log4j.appender.FILE.layout=org.apache.log4j.PatternLayout
-#log4j.appender.FILE.layout.conversionPattern=%m%n
-
+#log4j.logger.eu.dnetlib.repo.manager=DEBUG
\ No newline at end of file
